using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerPaths : MonoBehaviour {

    public int mapMax = 16;

    [Range(1, 16)]
    public int currLocation = 1;

    bool isRunning = true;
    
	// Use this for initialization
	void Awake ()
    {
        StartCoroutine("pathMovement");
    }
	
	// Update is called once per frame
	void Update ()
    {
	    	
	}

    IEnumerator pathMovement()
    {

        while (isRunning)
        {
            currLocation = (int)Random.Range(1, mapMax + 1);
            //Debug.Log("Current Location is: " + currLocation);


            yield return new WaitForSecondsRealtime(6f);
        }
        
    }



}
